package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 企业会员绑定对公户
 * @author LGH
 */
public class AllinpayShopBankCardDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id，平台修改时必选")
    private Long shopId;

    @Schema(description = "企业对公账户 AES加密", requiredMode = Schema.RequiredMode.REQUIRED)
    private String accountNo;

    @Schema(description = "开户银行名称", requiredMode = Schema.RequiredMode.REQUIRED)
    private String parentBankName;

    @Schema(description = "开户行地区代码 非必填")
    private String bankCityNo;

    @Schema(description = "开户支行名称 \t如：“中国工商银行股份有限公司北京樱桃园支行”", requiredMode = Schema.RequiredMode.REQUIRED)
    private String bankName;

    @Schema(description = "支付行号 12位数字", requiredMode = Schema.RequiredMode.REQUIRED)
    private String unionBank;

    @Schema(description = "开户行所在省 开户行所在市必须同时上送 非必填")
    private String province;

    @Schema(description = "开户行所在市 开户行所在省必须同时上送 非必填")
    private String city;

    @Schema(description = "银行卡属性 0法人 1企业对公")
    private Integer bankCardPro;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getParentBankName() {
        return parentBankName;
    }

    public void setParentBankName(String parentBankName) {
        this.parentBankName = parentBankName;
    }

    public String getBankCityNo() {
        return bankCityNo;
    }

    public void setBankCityNo(String bankCityNo) {
        this.bankCityNo = bankCityNo;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getUnionBank() {
        return unionBank;
    }

    public void setUnionBank(String unionBank) {
        this.unionBank = unionBank;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Integer getBankCardPro() {
        return bankCardPro;
    }

    public void setBankCardPro(Integer bankCardPro) {
        this.bankCardPro = bankCardPro;
    }

    @Override
    public String toString() {
        return "AllinpayShopBankCardDTO{" +
                "shopId=" + shopId +
                ", accountNo='" + accountNo + '\'' +
                ", parentBankName='" + parentBankName + '\'' +
                ", bankCityNo='" + bankCityNo + '\'' +
                ", bankName='" + bankName + '\'' +
                ", unionBank='" + unionBank + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", bankCardPro=" + bankCardPro +
                '}';
    }
}
